//help functions - descriptions of controls and gameplay

//draws the help screen - text and background
function helpDraw(){
    background(0, 200, 255);

    //make help text
    noStroke();
    fill(255);
    textAlign(CENTER, CENTER);
    textSize(36);
    text('How to play:', width/2, height/6);
    textSize(20);
    text("\nPlayer 1 and Etch:  W(^) A(<) S(v) D(>)\n" + 
        "Player 2: UP LEFT DOWN RIGHT\n\n" +
        "The goal of the game is to maneuver your Snakle\n" +
        "around the screen so that your trail is longer than\n" +
        "the opposing player's trail! Running into the sides or\n" +
        "either player's trail will stop your Snakle in its tracks!!\n\n"+
        "In Etch-A-Sketch Mode, you can draw freely\n" + 
        "with the Snakle. Click to place it on the screen.\n\n" +
        "Press ENTER to return to the main menu",
        width/2, height/2);
}

//used only to return to the start screen
function helpKeyPressed(){
    //return to start
    if(keyCode === ENTER){
        gameState = 'start';
        startSetup();
    }
}