//start screen functions

var blu = false;
var fCount = 0;

//setup start text and animation
function startSetup(){
    createCanvas(int(480), int(480));
    background(255, 50, 255);
    frameRate(fps);

    //title
    noStroke();
    textSize(80);
    textAlign(CENTER, CENTER);
    fill(255);
    text("SNAKLE", width/2, height/2 - height/10);

    //instructions
    textSize(20);
    text("\nPress ENTER to play!\n" + 
        "Press \\ to play in Etch-A-Sketch Mode!\n" +
        "Press SHIFT for controls and rules",
        width/2, height/2 + height/10);

    //make turtle for use in static screen animations
    turt = makeTurtle(0, height/2);
    blu = false;
    turt.setColor('red');
    turt.setWeight(5);

    //reset start screen frame count
    fCount = 0;
}

//animate turtle moving across screen
function startDraw(){
    //move animation turtle
    if (turt.x <= width)
        turt.forward(2);

    //change turt color
    if (fCount%30 === 0){
        if (blu)
            turt.setColor('red');
        else
            turt.setColor('blue');
        blu = !blu;
    }
    
    //increment start frame count
    fCount++;
}

//keypressed for start - changes gamemode
function startKeyPressed(){
    //go to play
    if (keyCode === ENTER){
        gameState = 'play';
        playSetup();
    }
    //go to help
    else if (keyCode === SHIFT)
        gameState = 'help';
    //go to etch
    else if (keyCode === 220){
        gameState = 'etch';
        etchSetup();
    }
}